local opt = vim.opt
local o = vim.o
local g = vim.g

o.expandtab = true
o.autoindent = true
o.shiftwidth = 2
o.smartindent = true
o.tabstop = 2
o.softtabstop = 2

o.number = true
o.syntax = "on"
o.cursorline = true
o.expandtab = true
o.shiftwidth = 2
o.encoding = "UTF-8"
o.ruler = true
o.hidden = true
o.ttimeoutlen = 0
o.wildmenu = true
o.showmatch = true
o.inccommand = "split"
o.splitright = true
o.splitbelow = true
o.termguicolors = true

opt.shortmess:append "sI"

o.updatetime = 250

opt.whichwrap:append "<>[]hl"

g.loaded_node_provider = 0
g.loaded_python3_provider = 0
g.loaded_perl_provider = 0
g.loaded_ruby_provider = 0
